Issue 109800 - hang on generated xls file (early version work correctly)
Summary: hang on generated xls file (early version work correctly)
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: open-import (show other issues)
Version: OOO320m12
Hardware: PC Windows Server 2003
: P2 Trivial (vote)
Target Milestone: 3.4.0
Assignee: kla
QA Contact: issues@sc
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-04 07:49 UTC by tengre
Modified: 2017-05-20 10:30 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
generated from application spreadsheet file (4.00 KB, application/vnd.ms-excel)
2010-03-04 07:52 UTC, tengre
no flags Details
windows dump files package (671.52 KB, application/x-compressed)
2010-03-04 07:55 UTC, tengre
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description tengre 2010-03-04 07:49:39 UTC
package from

http://go-oo.mirrorbrain.org/stable/win32/3.2/GoOo-3.2-12.exe
http://go-oo.mirrorbrain.org/stable/win32/3.2/GoOo-langpack-ru-3.2-12.exe

hang on generated xls file (early version work correctly)

source file url: 

http://ydsh.narod.ru/gl4.xls

dump files package url:

http://ydsh.narod.ru/werec8e.dir00.zip
Comment 1 tengre 2010-03-04 07:52:00 UTC
Created attachment 68138 [details]
generated from application spreadsheet file
Comment 2 tengre 2010-03-04 07:55:46 UTC
Created attachment 68139 [details]
windows dump files package
Comment 3 kyoshida 2010-03-04 13:01:09 UTC
Thanks for the report.  For future reference, please file go-oo specific bugs to
http://bugzilla.novell.com, under the product 'OpenOffice.org'.
Comment 4 kyoshida 2010-03-04 16:28:12 UTC
Actually, this is relevant to the upstream build as well.  Let's keep it here.

The CPU races to 100% usage and stays there.
Comment 5 daniel.rentz 2010-12-16 11:56:51 UTC
Wow, one more example of broken XLS generators. The SHEET record of the first
sheet does not point to the BOF record of the related sheet substream, but to
the first record following.
Comment 6 daniel.rentz 2010-12-17 08:32:23 UTC
owner
Comment 7 daniel.rentz 2010-12-17 08:33:21 UTC
fixed in CWS DEV300/dr78 (OOo 3.4)
Comment 8 daniel.rentz 2011-03-03 12:08:30 UTC
back to QA
Comment 9 kla 2011-03-10 09:42:14 UTC
Seen ok in cws dr78 -> verified